# GeoPard API でファイルをアップロード

{% hint style="success" %}
6 MBを超えるファイルに推奨される方法は [事前署名付きURLのフローです](/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/55-zipfairuwoappurdo6-mb.md).
{% endhint %}

GeoPard APIでは、soil/yield/applied/boundaryデータセットを含むzipアーカイブをアップロードして、さらに処理と分析を行えます。

{% hint style="danger" %}
AWSの制限により、このRESTエンドポイント経由でアップロードできる最大ファイルサイズは6 MBです。
{% endhint %}

6 MBを超えるファイルのアップロード手順は [Zipファイルのアップロード（6 MB超）](/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/55-zipfairuwoappurdo6-mb.md).

soil/yield/appliedデータセットのアップロードが成功するとすぐに、GeoPardエンジンはそれを、定義された農場内にある関連するフィールドに紐付けます。

boundaryのアップロードが成功するとすぐに、GeoPardエンジンはその処理を開始します。

レスポンスには `<uuid>` が含まれており、処理状況の追跡に使用できます。

#### リクエスト例：

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

パラメータは次のとおりです：

1. `<type>` - アップロードするデータセットの種類。以下のいずれかである必要があります `yield` または `soil` または `applied` または `boundary`.
2. `<farm_uuid>` - ファイルをアップロードするFarmの `uuid` （任意）。
3. `<token>` - GeoPardのアクセストークン。
4. `@path/to/file.zip` - アップロードするファイルのパスです。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-api-defairuwoappurdo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
